## See https://fluxcd.io/flux/components/source/gitrepositories/
## See https://fluxcd.io/flux/components/source/api/#source.toolkit.fluxcd.io/v1beta2.GitRepository
##
## See https://fluxcd.io/flux/components/kustomize/kustomization/
## See https://fluxcd.io/flux/components/kustomize/api/

apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: GitRepository
metadata:
  name: dev-team
  namespace: flux-apps
spec:
  interval: 1m
  url: https://gitlab.com/gitlab-infra-poc/gitops/flux-dev-team
  ref:
    branch: main
---
apiVersion: kustomize.toolkit.fluxcd.io/v1beta2
kind: Kustomization
metadata:
  name: dev-team
  namespace: flux-apps
spec:
  serviceAccountName: dev-team  # The Kubernetes service account to impersonate when reconciling this Kustomization
  interval: 5m                  # The interval at which to reconcile the Kustomization
  sourceRef:
    kind: GitRepository
    name: dev-team
  prune: true                   # Prune enables garbage collection
